16 Nov 2017 11:54 - Anna Maria Bigatti

Status: Closed Start date:
Priority: Normal Due date:

Assignee: Anna Maria Bigatti % Done:

Category: CoCoA-4 function: obsolete Estimated time:

Target version: CoCoA-5.2.2 Spent time:

16 Nov 2017

100%
5.01 hours
4.75 hours

Description

minimalized --> done.
what about minimalized?

Related issues:

Related to CoCoA-5 - Design #1020: Rename minimalized(l) into IdealOfMinGens(l)?
Related to CoCoALib - Feature #496: ideal: minimalize or minimalized?

Related to CoCoA-5 - Feature #514: submodule: minimalize, minimalized

Related to CoCoALib - Feature #366: function (CoCoALib) for minimal generator...

Closed 06 Mar 2017
Closed 27 Mar 2014
Closed 02 Apr 2014
Closed 11 Jun 2013

History

#1 - 16 Nov 2017 11:54 - Anna Maria Bigatti
- Related to Design #1020: Rename minimalized(l) into IdealOfMinGens(l)? added

#2 - 16 Nov 2017 11:54 - Anna Maria Bigatti

- Related to Feature #496: ideal: minimalize or minimalized? added

#3 - 16 Nov 2017 11:54 - Anna Maria Bigatti

- Related to Feature #514: submodule: minimalize, minimalized added

#4 - 16 Nov 2017 11:54 - Anna Maria Bigatti

- Related to Feature #366: function (CoCoALib) for minimal generators (like old Minimalize) added

#5 - 16 Nov 2017 16:36 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 10

| prefer minimalize to be made obsolescent; instead one should use | := IdealOfMinGens(l) which is longer to write, but also clearer (in my opinion).
Actually | presume the correct way to call minimalize is with a reference parameter, like this minimialize(ref I).

This does assume that IdealOfMinGens will preserve as much information as possible when it creates the new ideal.

#6 - 20 Nov 2017 22:01 - Anna Maria Bigatti

- Project changed from CoCoALib to CoCoA-5

- Category changed from Tidying to CoCoA-4 function: obsolete

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- Target version changed from CoCoALib-0.99600 to CoCoA-5.2.2
- % Done changed from 10 to 90

- Estimated time set to 5.01 h

09 Apr 2024

1/2




Trying to "save" it and postponing it, | wasted time.
| realized that the CoCoALib function myMinimalize is just a member function.

So, keeping minimalize in CoCoA-5 (after removing minimalized) was not as compatible with CoCoALib as | had imagined.
Moreover it was actually hard to do and intrisically inefficient, so | made it obsolescent.
John will be pleased ;-)

#7 - 11 Dec 2017 18:01 - Anna Maria Bigatti
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

09 Apr 2024 22
